Bug 442372 - group apache doesn't exist
group apache doesn't exist
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postgresql-pgpool-II (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Devrim GUNDUZ
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 12:03 EDT by Karsten Hopp
Modified: 2009-11-19 11:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 11:35:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2008-04-14 12:03:48 EDT
Description of problem:
during installation:
 Installier: postgresql-pgpool-II         ################### [1014/2669]
Warnung: Gruppe apache existiert nicht - benutze Root
Warnung: Gruppe apache existiert nicht - benutze Root
Warnung: Gruppe apache existiert nicht - benutze Root

The apache uid and gid are created in %preinst of the httpd package, which this
package doesn't require.
As the only files with gid apache are sample files, you should just give them
gid root instead of adding an Requires(pre) on httpd.

Version-Release number of selected component (if applicable):
postgresql-pgpool-II-2.1-0.2.beta2.fc9
Comment 1 Bug Zapper 2008-05-14 05:24:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 20:10:17 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:16:11 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Toshio Ernie Kuratomi 2009-09-03 15:57:20 EDT
This was fixed in 2.1-1:
    - Set group of sample config files to root, not apache. Fixes RH #442372.

 but came back in 2.2-1 when the sample config file was removed and a config file placed in 
    %attr(764,root,apache) %config(noreplace) %{_sysconfdir}/%{short_name}/*.conf
 
Looks like that should be %attr(0764,root,root)
Comment 5 Devrim GÜNDÜZ 2009-10-02 19:31:58 EDT
I applied fix to CVS. New packages are ready, and will appear in next Fedora batch update.
Comment 6 Fedora Update System 2009-10-02 19:36:49 EDT
postgresql-pgpool-II-2.2.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/postgresql-pgpool-II-2.2.4-1.fc12
Comment 7 Fedora Update System 2009-10-02 19:37:45 EDT
postgresql-pgpool-II-2.2.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/postgresql-pgpool-II-2.2.4-1.fc11
Comment 8 Fedora Update System 2009-10-02 19:38:42 EDT
postgresql-pgpool-II-2.2.4-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/postgresql-pgpool-II-2.2.4-1.fc10
Comment 9 Bug Zapper 2009-11-16 03:04:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.